Install from source on Arch Linux

Discussions on installation issues go here.

Moderator: Moderators

rmason

Install from source on Arch Linux

Postby rmason » 07 Jan 2013, 21:22

Hello,

I'm trying to install from source using perlbrew on Arch Linux.

Background

Using perlbrew and perl 5.14.3 because polymake won't start with the system perl (5.16.2).

Installation fails:

/usr/bin/ld: /home/rmason/perl5/perlbrew/perls/perl-5.14.3/lib/5.14.3/x86_64-linux-thread-multi/CORE/libperl.a(op.o): relocation R_X86_64_32 against `.rodata.str1.8' can not be used when making a shared object; recompile with -fPIC

I have recompiled perl-5.14.3 (using perbrew) to make sure it is compiled with -fPIC (which it is).

Thanks for any help.

Roger

blorenz
Developer
Posts: 109
Joined: 10 Jan 2011, 17:21

Re: Install from source on Arch Linux

Postby blorenz » 08 Jan 2013, 20:09

You can try compiling polymake using your system perl 5.16 with the patch from this other thread.

Your perl installation might be missing the libperl.so shared library, you can try rebuilding perl with

Code: Select all

sh Configure -Duseshrplib
or disable building the libpolymake shared library with

Code: Select all

./configure --without-callable
Ben


Return to “Installing polymake”

cron